{% extends 'frontend/shared/layouts/default.html.twig' %}

{% block body %}
    <div id="banner-top">
        <div class="swiper-container">
            <div class="swiper-wrapper">
                <div class="swiper-slide" style="background-image: url({{ asset('assets/images/slide/chapeau.jpg') }}) ">
                    <div class="caption">
                        <div class="container">
                            <div class="row text-center">
                                <div class="col-lg-8 col-md-10 col-12 center-col">
                                    <h3>Pour trouver votre formation, demandez à ceux qui savent !</h3>
                                    <h1 class="txt-lag mt-0">
                                        <span>{{ h1Content }}</span>
                                    </h1>
                                    {{ include('frontend/shared/layouts/_search.html.twig') }}
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <!-- /. swiper-wrapper -->
        </div>
        <!-- /.swiper-container -->
    </div>
    <!-- /#banner-top -->

    <main id="main">
        <section class="home-container">
            <div class="container-fluid">
                <div class="row">
                    <div class="col-lg-6 faq-container">
                        <div class="faq-box">
                            {% for question in questions %}
                                <div class="faq-row">
                                    <h5>{{ question.name }}</h5>
                                    {{ question.content|raw }}
                                </div>
                            {% endfor %}
                        </div>
                    </div>
                    <div class="col-lg-6 slider-container">
                        <div class="classement-slider">
                            <div class="swiper mySwiper">
                                <div class="swiper-wrapper">
                                    {% for schoolTypesAndSchool in schoolTypesAndSchools %}
                                        {% if loop.index % 6 == 1 %}
                                        <div class="swiper-slide">
                                        {% endif %}
                                            <div class="classement-item">
                                                <div class="c-box">
                                                    <h5><a href="{{ path('schoolType.detail', {schoolTypeSlug: schoolTypesAndSchool.schoolType.slug}) }}">{{ schoolTypesAndSchool.schoolType.name }}</a></h5>
                                                    <ul>
                                                        {% for school in schoolTypesAndSchool.school %}
                                                            <li><a href="{{ path('school.detail', {schoolTypeSlug: arrayGet(schoolTypesAndSchool, 'schoolType.slug', 'default'), schoolSlug: school.slug}) }}">{{ school.name }}</a></li>
                                                        {% endfor %}
                                                    </ul>
                                                    <div class="c-link">
                                                        <a href="{{ path('schoolType.detail', {schoolTypeSlug: schoolTypesAndSchool.schoolType.slug}) }}" class="position-relative btn-border">
                                                            <span class="main-bt">
                                                                <span>Voir le classement</span>
                                                                <span class='the-arrow -right'>
                                                                <span class='shaft'></span>
                                                                </span>
                                                            </span>
                                                        </a>
                                                    </div>
                                                </div>
                                            </div>
                                        {% if (loop.index % 6 == 0 or loop.last) %}
                                        </div>
                                        {% endif %}
                                    {% endfor %}
                                </div>

                                <div class="control-box">
                                    <div class="button-prev">
                                        <img src="{{ asset('assets/images/banner/btn-prev.png') }}" alt=""/>
                                    </div>
                                    <div class="swiper-pagination"></div>
                                    <div class="button-next">
                                        <img src="{{ asset('assets/images/banner/btn-next.png') }}" alt=""/>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="banner-box">
                            <a href="https://eduniversal-matching.com/inscription-etudiant?utm_source=StudiesAdvisor&utm_medium=Banners" target="_blank">
                                <img src="{{ asset('assets/images/banner/banner-1.jpg') }}" alt=""/>
                            </a>
                        </div>
                    </div>
                </div>
            </div>
        </section>

        <section class="home-news">
			<div class="container-fluid">
                {% include 'frontend/news/_last_news.html.twig' %}
            </div>
        </section>
        
    </main>

{% endblock %}

{% block javascripts %}
    {{ '<script type="application/ld+json">' | raw }}
    {{ richSnippets | json_encode | raw }}
    {{ '</script>' | raw }}
{% endblock %}
